Atualização do módulo Relatórios

Olá,

Alguém conseguiu atualizar o módulo de relatórios da versão 2.2.0 para 2.3.0 e posteriormente para a 2.4.0

Aparentemente a versão disponibilizada do i-Educar (2.3.10) contempla a versão 2.2.0 de relatórios

Faz alguns dias que tento realizar essa atualização, porém ainda sem sucesso

se puderem disponibilizar um roteiro para tal procedimento ajudaria muito, tentei usar as orientações do GIT mas sem sucesso.

obs: ainda não atualizei para a versão 2.4.0 do i-Educar, sabem informar se essa já contempla a versão 2.4.0 do modulo de relatórios?

de já agradeço a ajuda

Bom dia,

Recentemente realizei a atualização do i-Educar para a versão 2.4.0, aparentemente ela contempla a versão 2.4.0 do módulo de relatórios

Entretanto, quando configuro a opção “Boletim numérico” na opção “Modelo relatório boletim*” no cadastro da turma

E tento gerar um “Boletim Escolar” na aba “Documentos” do módulo “Escola” o sistema me retorna a seguinte excessão.

image

Verifiquei os logs do Laravel e do Postgresql e não tem nenhum registro q me indique o motivo desse problema.

Obs: o problema ocorre apenas quando escolhido “Boletim numérico” na opção “Modelo relatório boletim*” todas as outras opções (Boletim Conceitual, Parecer descritivo por componente e Parecer descritivo geral) estão funcionando corretamente.

Alguém já passou por esse erro? Alguma orientação do que pode está ocorrendo?

De já agradeço a ajuda

Bom dia,

Alguém conseguiu instalar a versão 2.4.x
e conseguiu resolver esse problema de geração dos boletins para as turmas configuradas com o modelo “Boletim Numérico”?

Bom dia, infelizmente não consegui simular o seu problema. Isso ocorre com qualquer turma que esteja configurada com esse modelo? Todos os alunos?

Boa tarde, @Bonot esse problema também está apresentando comigo, despois da mudança da versão 2.3.10 para a versão 2.4.0, que esse erro continua, já testei com o 2.4.1 e a nova 2.4.2 .

Boa tarde!

“Isso ocorre com qualquer turma que esteja configurada com esse modelo?”

R. Sim, para qualquer turma configurado com o “Boletim Numérico”

“Todos os alunos?”

R. Sim, para todos os alunos.

O curioso é que não gera nenhum log desse erro, pelo menos não nos logs do Nginx, Laravel ou Postgres.

Eu também estou enfrentado esse problema

me parece que ocorre quando atualiza da versão 2.3.10 para a versão 2.4.x

alguma sugestão para resolver?

Bom dia!
Ainda não consegui solucionar esse problema.

Alguém mais atravessou esse problema e teve sucesso com a solução?
Poderia compartilhar aqui no forum

@Bonot, conseguiu simular o problema, nos sentido de encontrar uma solução?

De já, agradeço a ajuda

@lrturing @wescleyp @flavio a princípio o erro está corrigido na versão 2.5.1.

Conseguem validar?

1 Curtida

Boa tarde @edersoares, acabei de testas, problema corrigido, muito obrigado pela atenção !!!

Problema Corrigido !!!

1 Curtida

Bom dia!

@edersoares, funcionou perfeito agora

Agradeço muito a ajuda!